Bug 113848 - newer 3ware-driver available
Summary: newer 3ware-driver available
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-19 14:51 UTC by josef radinger
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 15:29:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original driver from 3ware (301.75 KB, application/octet-stream)
2004-01-19 15:13 UTC, josef radinger
no flags Details
diff onto 2.4.22-1.2149 (2.68 KB, patch)
2004-01-19 15:16 UTC, josef radinger
no flags Details | Diff

Description josef radinger 2004-01-19 14:51:43 UTC
Description of problem:
latest 3ware controller firmware wants driver version 1.02.37, but
fedora uses driver version 1.02.36.
the problem is that 3ware states on its homepage the actual firmware
for the 7000 controller wants 1.02.37.

it would be great to have the new version with a forthcoming
fedora-core 2.4-kernel (2.6 uses 1.02.36).

ps.: the newer versions compiles fine and works on my 7000 controller.
but i dont now what happens if i would try to use the fedora-driver. 
cheers
josef

Comment 1 josef radinger 2004-01-19 15:13:17 UTC
Created attachment 97099 [details]
original driver from 3ware

Comment 2 josef radinger 2004-01-19 15:16:12 UTC
Created attachment 97100 [details]
diff onto 2.4.22-1.2149

Comment 3 Aleksander Adamowski 2004-04-14 14:05:01 UTC
Confirming.

3Ware also recommends installing the latest driver when doing firmware
upgrades and the latest firmware is newer than the driver which ships
with Fedora.

Comment 4 Dave Jones 2004-06-19 15:29:55 UTC
unfortunatly this means that existing users will find after upgrading
that they needed to flash newer firmware too. WONTFIX.


Comment 5 Aleksander Adamowski 2004-06-24 07:26:22 UTC
I've contacted 3Ware and the answers I've received from them suggest
reopening this bug.

Here's the answer of their support engineer:

Hi, Aleksander

From a technical support stand point we recommend to use matching code
sets.
For example. The 7.7.0 software release is made up of the following
code sets:

Firmware 1.05.00.065
Driver 1.02.00.037
3DM 1.13.00.029

7.6.3 Software release is made up of:
Firmware 1.05.00.056
Driver 1.02.00.036
3DM 1.13.00.028

And so on....
And so on. You can have the oldest firmware with a 7500-8/4/12/7000-2
or 7506-8/4/12/7006-2 and run the latest driver 1.02.00.037. It will
function how
ever it has not been tested. Once up and running we recommend to
update accordingly (yes including firmware).
The same goes for an old 8500 series controller.
The 7500/7506 series controller share the same software release.
The 8500/8506 series controller also share the same software release.

Thanks


Best Regards, 

Victor Pacheco 
Technical Support Engineer
455 West Maude Avenue 
Sunnyvale, Ca 94085 
Main: 408-523-1000 
Direct: 408-523-1091
Support:1-800-945-7273 
Fax: 408-523-1080 
www.AMCC.com
vpacheco@amcc.com


-----Original Message-----
From: Aleksander Adamowski [mailto:aleksander.adamowski@altkom.pl]
Sent: Wednesday, June 23, 2004 12:51 AM
To: Victor Pacheco
Subject: Re: Newer 3ware-driver with older firmware?


Victor Pacheco wrote:


>>Victor,
>>
>>Feel free to post 3ware comments to Bugzilla
>>The 7000 has no broken backward or forward firmware/driver
compatibility issues.  
>>The only difference between .036 and .037 (as stated in change log
at top of 3w-xxxx.c):
>>- Fix tw_ioctl() to handle all non-data ATA passthru cmds for
'smartmontools' support.
>>Nothing else has changed, and certainly not any compatibility breakage.
>>  
>>

OK, I'll post that, but I have only 2 more questions:

    * what about 8000 and 8500 series controllers? We have 8506-4 and
      8506-8 on 2 servers. In general, coule there be backward/forward
      compatibility issues with _any_ of controllers supported by that
      driver (I think this is what Redhat people had in mind, all 3Ware
      controllers, not only 7000)?
    * Fedora Core 1 uses .036 driver, but Redhat Enterprise Linux uses
      .033 driver. Is it ok to upgrade .033 to .0.37 without having to
      update the firmware? If yes, then the Enterprise Linux driver
      could be freely updated too by Redhat people.


Note You need to log in before you can comment on or make changes to this bug.